<?php

/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package sycho
 */
?>

<!doctype html>
<html <?php language_attributes(); ?>>

<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <?php if (is_singular() && pings_open(get_queried_object())) : ?>
    <?php endif; ?>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="profile" href="https://gmpg.org/xfn/11">
    <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

    <?php wp_body_open(); ?>


    <?php
    $sycho_scrollup_switch = get_theme_mod('sycho_scrollup_switch', true);
    ?>

    <?php if (!empty($sycho_scrollup_switch)) : ?>
        <!-- scroll up area start -->
        <div class="scroll-up" id="scroll">
            <a href="javascript:void(0);"><i class="far fa-angle-up"></i></a>
        </div>
        <!-- scroll up area end -->
    <?php endif; ?>

    <!-- header start -->
    <?php do_action('sycho_header_style'); ?>
    <!-- header end -->
    <!-- wrapper-box start -->
    <?php do_action('sycho_before_main_content'); ?>