<?php

/** 
 * sycho Customizer data
 */
function _customizer_data($data)
{
	return array(
		'panel' => array(
			'id' => 'sycho',
			'name' => esc_html__('Sycho Customizer', 'sycho'),
			'priority' => 10,
			'section' => array(

				'header_setting' => array(
					'name' => esc_html__('Header Topbar Setting', 'sycho'),
					'priority' => 10,
					'fields' => array(
						array(
							'name' => esc_html__('Topbar Swicher', 'sycho'),
							'id' => 'sycho_topbar_switch',
							'default' => true,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),
						// Show Search						
						array(
							'name' => esc_html__('Show Search', 'sycho'),
							'id' => 'sycho_show_header_search',
							'default' => 0,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),
						// Show Language
						array(
							'name' => esc_html__('Show Language', 'sycho'),
							'id' => 'sycho_header_lang',
							'default' => 0,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),

						// Show Cart
						array(
							'name' => esc_html__('Header Top Right Switch', 'sycho'),
							'id' => 'sycho_header_top_right_switch',
							'default' => 0,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),

						array(
							'name' => esc_html__('Header Right Switch', 'sycho'),
							'id' => 'sycho_header_right',
							'default' => 0,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),

						// Show Header Right
						array(
							'name' => esc_html__('Show Header Bar', 'sycho'),
							'id' => 'sycho_header_bar_switch',
							'default' => 0,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),

						// topbar mail
						array(
							'name' => esc_html__('Mail Label', 'sycho'),
							'id' => 'sycho_mail_label',
							'default' => esc_html__('e-mail:', 'sycho'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Mail ID', 'sycho'),
							'id' => 'sycho_mail_id',
							'default' => esc_html__('info@sycho24.com', 'sycho'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Mail Icon', 'sycho'),
							'id' => 'sycho_mail_icon',
							'default' => esc_html__('icon flaticon-envelope', 'sycho'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),

						// Phone 
						array(
							'name' => esc_html__('Phone Number', 'sycho'),
							'id' => 'sycho_phone_label',
							'default' => esc_html__('Call us:', 'sycho'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Phone Number', 'sycho'),
							'id' => 'sycho_phone',
							'default' => esc_html__('+1 800 833 9780', 'sycho'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Phone Icon', 'sycho'),
							'id' => 'sycho_phone_icon',
							'default' => esc_html__('icon flaticon-24-hours-support', 'sycho'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),

						// address
						array(
							'name' => esc_html__('Opening Label', 'sycho'),
							'id' => 'sycho_opening_label',
							'default' => esc_html__('opening:', 'sycho'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Opening Day', 'sycho'),
							'id' => 'sycho_opening',
							'default' => esc_html__('Sunday to Thursday', 'sycho'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Opening Icon', 'sycho'),
							'id' => 'sycho_opening_icon',
							'default' => esc_html__('icon flaticon-history', 'sycho'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),

						// Show Button						
						array(
							'name' => esc_html__('Show Button', 'sycho'),
							'id' => 'sycho_show_button',
							'default' => 0,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Button Text', 'sycho'),
							'id' => 'sycho_button_text',
							'default' => esc_html__('Get A Quote', 'sycho'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Button Link', 'sycho'),
							'id' => 'sycho_button_link',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh'
						),
					)
				),
				'header_social_setting' => array(
					'name' => esc_html__('Header Social', 'sycho'),
					'priority' => 11,
					'description' => esc_html__('To hide the field please use blank in text field.', 'sycho'),
					'fields' => array(
						/** social profiles **/
						array(
							'name' => esc_html__('Show Social', 'sycho'),
							'id' => 'sycho_social_switch',
							'default' => 0,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Facebook Url', 'sycho'),
							'id' => 'sycho_topbar_fb_url',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Twitter Url', 'sycho'),
							'id' => 'sycho_topbar_twitter_url',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Instagram Url', 'sycho'),
							'id' => 'sycho_topbar_instagram_url',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Linkedin Url', 'sycho'),
							'id' => 'sycho_topbar_linkedin_url',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Youtube Url', 'sycho'),
							'id' => 'sycho_topbar_youtube_url',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh'
						),

					)
				),
				'header_main_setting' => array(
					'name' => esc_html__('Header Setting', 'sycho'),
					'priority' => 12,
					'fields' => array(
						array(
							'name' => esc_html__('Choose Header Style', 'sycho'),
							'id' => 'choose_default_header',
							'type'     => 'select',
							'choices'  => array(
								'header-style-1' => esc_html__('Header Style 1', 'sycho'),
								'header-style-2' => esc_html__('Header Style 2', 'sycho'),
								'header-style-3' => esc_html__('Header Style 3', 'sycho'),
							),
							'default' => 'header-style-1',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Header Logo', 'sycho'),
							'id' => 'logo',
							'default' => get_template_directory_uri() . '/assets/img/logo/logo.png',
							'type' => 'image',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Header Black Logo', 'sycho'),
							'id' => 'seconday_logo',
							'default' => get_template_directory_uri() . '/assets/img/logo/logo-black.png',
							'type' => 'image',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Favicon', 'sycho'),
							'id' => 'favicon_url',
							'default' => get_template_directory_uri() . '/assets/img/logo/favicon.png',
							'type' => 'image',
							'transport'	=> 'refresh'
						),
					)
				),
				'offest_sidebar' => array(
					'name' => esc_html__('Offest Sidebar', 'sycho'),
					'priority' => 11,
					'description' => esc_html__('To hide the field please use blank in text field.', 'sycho'),
					'fields' => array(
						array(
							'name' => esc_html__('Header Logo', 'sycho'),
							'id' => 'offset_info_logo',
							'default' => get_template_directory_uri() . '/assets/img/logo/logo.png',
							'type' => 'image',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Info Content', 'sycho'),
							'id' => 'offset_info_content',
							'default' => esc_html__('We must explain to you how all seds this mistakens idea off denouncing pleasures and praising pain was born and I will give you.', 'sycho'),
							'type' => 'textarea',
							'transport'	=> 'refresh'
						),
						/** social profiles **/
						array(
							'name' => esc_html__('Show Social', 'sycho'),
							'id' => 'offset_social_switch',
							'default' => 0,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Facebook Url', 'sycho'),
							'id' => 'offset_fb_url',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Twitter Url', 'sycho'),
							'id' => 'offset_twitter_url',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Instagram Url', 'sycho'),
							'id' => 'offset_instagram_url',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Linkedin Url', 'sycho'),
							'id' => 'offset_linkedin_url',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Youtube Url', 'sycho'),
							'id' => 'offset_youtube_url',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh'
						),

					)
				),
				'page_title_setting' => array(
					'name' => esc_html__('Breadcrumb Setting', 'sycho'),
					'priority' => 14,
					'fields' => array(
						array(
							'name' => esc_html__('Breadcrumb BG Color', 'sycho'),
							'id' => 'sycho_breadcrumb_bg_color',
							'default' => esc_html__('#f4f9fc', 'sycho'),
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Breadcrumb Padding Top', 'sycho'),
							'id' => 'sycho_breadcrumb_spacing',
							'default' => esc_html__('160px', 'sycho'),
							'transport'	=> 'refresh',
							'type' => 'text',
						),
						array(
							'name' => esc_html__('Breadcrumb Bottom Top', 'sycho'),
							'id' => 'sycho_breadcrumb_bottom_spacing',
							'default' => esc_html__('160px', 'sycho'),
							'transport'	=> 'refresh',
							'type' => 'text',
						),
						array(
							'name' => esc_html__('Breadcrumb Background Image', 'sycho'),
							'id' => 'breadcrumb_bg_img',
							'default' => get_template_directory_uri() . '/img/bg/page-title.jpg',
							'type' => 'image',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Breadcrumb Home', 'sycho'),
							'id' => 'breadcrumb_home',
							'default' => esc_html__('Home', 'sycho'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Breadcrumb Shop', 'sycho'),
							'id' => 'breadcrumb_shop',
							'default' => esc_html__('Shop', 'sycho'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Breadcrumb Search', 'sycho'),
							'id' => 'breadcrumb_search',
							'default' => esc_html__('Search results for', 'sycho'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Breadcrumb Page Not Found', 'sycho'),
							'id' => 'breadcrumb_404',
							'default' => esc_html__('Page Not Found', 'sycho'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
					)
				),
				'blog_setting' => array(
					'name' => esc_html__('Blog Setting', 'sycho'),
					'priority' => 14,
					'fields' => array(
						array(
							'name' => esc_html__('Show Blog BTN', 'sycho'),
							'id' => 'sycho_blog_btn_switch',
							'default' => 1,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Blog Button text', 'sycho'),
							'id' => 'sycho_blog_btn',
							'default' => esc_html__('Read More', 'sycho'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Blog Button text RTL', 'sycho'),
							'id' => 'sycho_blog_btn_rtl',
							'default' => esc_html__('Read More', 'sycho'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Blog Title', 'sycho'),
							'id' => 'breadcrumb_blog_title',
							'default' => esc_html__('Blog', 'sycho'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Blog Details Title', 'sycho'),
							'id' => 'breadcrumb_blog_title_details',
							'default' => esc_html__('Blog Details', 'sycho'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),

					)
				),
				'sycho_footer_setting' => array(
					'name' => esc_html__('Footer Setting', 'sycho'),
					'priority' => 16,
					'fields' => array(
						array(
							'name' => esc_html__('Choose Footer Style', 'sycho'),
							'id' => 'choose_default_footer',
							'type'     => 'select',
							'choices'  => array(
								'footer-style-1' => esc_html__('Footer Style 1', 'sycho'),
								'footer-style-2' => esc_html__('Footer Style 2', 'sycho'),
								'footer-style-3' => esc_html__('Footer Style 3', 'sycho'),
							),
							'default' => 'footer-style-1',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Widget Number', 'sycho'),
							'id' => 'footer_widget_number',
							'type'     => 'select',
							'choices'  => array(
								'4' => esc_html__('Widget Number 4', 'sycho'),
								'3' => esc_html__('Widget Number 3', 'sycho'),
								'2' => esc_html__('Widget Number 2', 'sycho'),
							),
							'default' => '4',
							'transport'	=> 'refresh'
						),

						array(
							'name' => esc_html__('Footer Style 2 On/Off', 'sycho'),
							'id' => 'footer_style_2_switch',
							'default' => false,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Footer Style 3 On/Off', 'sycho'),
							'id' => 'footer_style_3_switch',
							'default' => false,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),

						array(
							'name' => esc_html__('Footer Background Image', 'sycho'),
							'id' => 'sycho_footer_bg',
							'default' => '',
							'type' => 'image',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Footer Logo White', 'sycho'),
							'id' => 'sycho_footer_logo',
							'default' => '',
							'type' => 'image',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Footer Logo Black', 'sycho'),
							'id' => 'sycho_footer_logo_black',
							'default' => '',
							'type' => 'image',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Footer BG Color', 'sycho'),
							'id' => 'sycho_footer_bg_color',
							'default' => esc_html__('#f4f9fc', 'sycho'),
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Copy Right', 'sycho'),
							'id' => 'sycho_copyright',
							'default' => esc_html__('Copyright &copy;2020 BasicTheme. All Rights Reserved', 'sycho'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Copy Right RTL', 'sycho'),
							'id' => 'sycho_copyright_rtl',
							'default' => esc_html__('Copyright &copy;2020 BasicTheme. All Rights Reserved', 'sycho'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Scrollup Hide', 'sycho'),
							'id' => 'sycho_scrollup_switch',
							'default' => false,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Footer Style 2 Switch', 'sycho'),
							'id' => 'footer_style_2_switch',
							'default' => false,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Footer Style 3 Switch', 'sycho'),
							'id' => 'footer_style_3_switch',
							'default' => false,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Footer Social Switch', 'sycho'),
							'id' => 'footer_social_switch',
							'default' => false,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),
					)
				),
				'color_setting' => array(
					'name' => esc_html__('Color Setting', 'sycho'),
					'priority' => 17,
					'fields' => array(
						array(
							'name' => esc_html__('Theme Color', 'sycho'),
							'id' => 'sycho_color_option',
							'default' => esc_html__('#056c5f', 'sycho'),
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Seconadry Color', 'sycho'),
							'id' => 'sycho_sec_color_option',
							'default' => esc_html__('#f8a683', 'sycho'),
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Heading Color', 'sycho'),
							'id' => 'sycho_heading_color_option',
							'default' => esc_html__('#005046', 'sycho'),
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Header Color', 'sycho'),
							'id' => 'sycho_menu_color_option',
							'default' => esc_html__('#056c5f', 'sycho'),
							'transport'	=> 'refresh'
						)
					)
				),
				'error_page_setting' => array(
					'name' => esc_html__('404 Setting', 'sycho'),
					'priority' => 19,
					'fields' => array(
						array(
							'name' => esc_html__('400 Text', 'sycho'),
							'id' => 'sycho_error_404_text',
							'default' => esc_html__('404', 'sycho'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Not Found Title', 'sycho'),
							'id' => 'sycho_error_title',
							'default' => esc_html__('Page not found', 'sycho'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('404 Description Text', 'sycho'),
							'id' => 'sycho_error_desc',
							'default' => esc_html__('Oops! The page you are looking for does not exist. It might have been moved or deleted', 'sycho'),
							'type' => 'textarea',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('404 Link Text', 'sycho'),
							'id' => 'sycho_error_link_text',
							'default' => esc_html__('Back To Home', 'sycho'),
							'type' => 'text',
							'transport'	=> 'refresh'
						)

					)
				),
				'rtl_setting' => array(
					'name' => esc_html__('RTL Setting', 'sycho'),
					'priority' => 20,
					'fields' => array(
						array(
							'name' => esc_html__('Switch RTL', 'sycho'),
							'id' => 'rtl_switch',
							'default' => false,
							'type' => 'switch',
							'transport'	=> 'refresh'
						)
					)
				),
			),
		)
	);
}

add_filter('_customizer_data', '_customizer_data');
