<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package sycho
 */

if( is_single() ): ?>

    <article id="post-<?php the_ID(); ?>" <?php post_class('postbox format-image mb-50'); ?>>
        <?php if( has_post_thumbnail() ): ?>
        <div class="postbox__thumb w-img mb-30">
            <?php the_post_thumbnail('full', array('class' => 'img-responsive' )); ?>
        </div>
        <?php endif; ?>

        <div class="postbox__content grey-bg">
            <div class="blog__meta blog__meta-2 blog__meta-4 mb-15">
                <span><i class="far fa-calendar-check"></i> <?php the_time(get_option('date_format')); ?> </span>
                <span><a href="<?php print esc_url(get_author_posts_url(get_the_author_meta('ID'))); ?>"><i class="far fa-user"></i> <?php print get_the_author(); ?></a></span>
                <span><a href="<?php comments_link(); ?>"><i class="far fa-comments"></i> <?php comments_number(); ?></a></span>
            </div>

            <h3 class="postbox__title postbox__title-2 mb-20">
               <?php the_title(); ?>
            </h3>

            <div class="postbox__text mb-25">
               <?php the_content(); ?> 
                <?php
                    wp_link_pages( array(
                        'before'      => '<div class="page-links">' . esc_html__( 'Pages:', 'sycho' ),
                        'after'       => '</div>',
                        'link_before' => '<span class="page-number">',
                        'link_after'  => '</span>',
                    ) );
                ?>
            </div>
            <?php print sycho_get_tag(); ?>         

        </div>
    </article>

<?php else: ?>

    <article id="post-<?php the_ID(); ?>" <?php post_class('postbox format-image mb-50'); ?>>
        <?php if( has_post_thumbnail() ): ?>
        <div class="postbox__thumb w-img mb-30">
            <a href="<?php the_permalink(); ?>">
                <?php the_post_thumbnail('full', array('class' => 'img-responsive' )); ?>
            </a>
        </div>
        <?php endif; ?>

        <div class="postbox__content grey-bg">
            <div class="blog__meta blog__meta-2 blog__meta-4 mb-15">
                <span><i class="far fa-calendar-check"></i> <?php the_time(get_option('date_format')); ?> </span>
                <span><a href="<?php print esc_url(get_author_posts_url(get_the_author_meta('ID'))); ?>"><i class="far fa-user"></i> <?php print get_the_author(); ?></a></span>
                <span><a href="<?php comments_link(); ?>"><i class="far fa-comments"></i> <?php comments_number(); ?></a></span>
            </div>

            <h3 class="postbox__title postbox__title-2 mb-20">
                <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
            </h3>
            <div class="postbox__text mb-25">
                <?php the_excerpt(); ?>
            </div>

            <!-- blog btn -->
            <?php 
                if (rtl_enable()) {
                    $sycho_blog_btn = get_theme_mod('sycho_blog_btn_rtl',esc_html__('Read More','sycho')); 
                 }
                else { 
                $sycho_blog_btn = get_theme_mod('sycho_blog_btn',esc_html__('Read More','sycho')); 
                }
                
                $sycho_blog_btn_switch     = get_theme_mod('sycho_blog_btn_switch', true);  
            ?>

            <?php if(!empty($sycho_blog_btn_switch)) : ?>
            <div class="read-more">
                <a href="<?php the_permalink(); ?>" class="s-btn s-btn__square s-btn__square-green"><?php print esc_html($sycho_blog_btn); ?></a>
            </div>
            <?php endif; ?>            

        </div>
    </article>

<?php endif; ?>





